- Main Page
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

# IpeBBoxPainter Class Reference
[Ipe Management]

Paint objects using this painter to compute an accurate bounding box. More...

Inherits IpePainter.

List of all members.

## Public Member Functions

- IpeBBoxPainter (const IpeStyleSheet *style)
- IpeRect BBox () const

## Protected Member Functions

- virtual void DoMoveTo (const IpeVector &v)
- virtual void DoLineTo (const IpeVector &v)
- virtual void DoCurveTo (const IpeVector &v1, const IpeVector &v2, const IpeVector &v3)
- virtual void DoDrawBitmap (IpeBitmap bitmap)
- virtual void DoDrawText (const IpeText *text)

## Detailed Description

Paint objects using this painter to compute an accurate bounding box.

The IpeObjct::BBox member function computes a bounding box useful for distance calculations and optimizations. To find a bounding box that is accurate for the actual drawn object, paint the object using an IpeBBoxPainter, and retrieve the box with BBox.

## Member Function Documentation

void IpeBBoxPainter::DoMoveTo | ( | const IpeVector & | v | ) | `[protected, virtual]`

Perform moveto operator.

Reimplemented from IpePainter.

void IpeBBoxPainter::DoLineTo | ( | const IpeVector & | v | ) | `[protected, virtual]`

Perform lineto operator.

Reimplemented from IpePainter.

void IpeBBoxPainter::DoCurveTo | ( | const IpeVector & | v1,
|  | const IpeVector & | v2,
|  | const IpeVector & | v3 |
| ) |  |  | `[protected, virtual]`

Perform curveto operator.

Reimplemented from IpePainter.

void IpeBBoxPainter::DoDrawBitmap | ( | IpeBitmap | bitmap | ) | `[protected, virtual]`

Draw a bitmap.

Reimplemented from IpePainter.

void IpeBBoxPainter::DoDrawText | ( | const IpeText * | text | ) | `[protected, virtual]`

Draw a text object.

Reimplemented from IpePainter.

The documentation for this class was generated from the following files:

- ipeutils.h
- ipeutils.cpp